Debian Bug report logs - #105364
installer allows user to insert underscores in the hostname

version graph

Package: boot-floppies; Maintainer for boot-floppies is (unknown);

Reported by: Eduard Bloch <blade@debian.org>

Date: Sun, 15 Jul 2001 18:10:08 UTC

Severity: normal

Tags: woody

Fixed in version boot-floppies/3.0.8

Done: Adam Di Carlo <aph@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#105364; Package boot-floppies. Full text and rfc822 format available.

Acknowledgement sent to Eduard Bloch <blade@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Eduard Bloch <blade@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: installer allows user to insert underscores in the hostname
Date: Sun, 15 Jul 2001 19:20:59 +0200
Package: boot-floppies
Version: N/A; reported 2001-07-15
Severity: normal
Tags: woody

Hello, 

I was helping a new user to configure his woody installation, and was
surprised by some "funny" messages from misc. config script. First, I
could find the reason, then I realized that he used an _ underscore in
the hostname. Normally this must not be used, but the installer allowed
him to do so and "hostname" does not complain about "broken" strings, so
the this may be reproduced by newbies, sooner or later. We should
install something to check the entries, IMHO.

Gruss/Regards,
Eduard.

-- System Information
Debian Release: testing/unstable
Architecture: i386
Kernel: Linux zombie 2.4.6-pre9 #17 Die Jul 3 15:18:51 CEST 2001 i686
Locale: LANG=de_DE, LC_CTYPE=de_DE





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#105364; Package boot-floppies. Full text and rfc822 format available.

Acknowledgement sent to Matt Kraai <kraai@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #10 received at 105364@bugs.debian.org (full text, mbox):

From: Matt Kraai <kraai@debian.org>
To: 105364@bugs.debian.org
Subject: Re: Bug#105364: installer allows user to insert underscores in the hostname
Date: Sun, 15 Jul 2001 13:44:46 -0700
On Sun, Jul 15, 2001 at 07:20:59PM +0200, Eduard Bloch wrote:
> I was helping a new user to configure his woody installation, and was
> surprised by some "funny" messages from misc. config script. First, I
> could find the reason, then I realized that he used an _ underscore in
> the hostname. Normally this must not be used, but the installer allowed
> him to do so and "hostname" does not complain about "broken" strings, so
> the this may be reproduced by newbies, sooner or later. We should
> install something to check the entries, IMHO.

The following patch checks the input for RFC 608 compliance.  OK
to apply?

Matt

--- netconfig.c.orig	Sun Jul 15 13:32:46 2001
+++ netconfig.c	Sun Jul 15 13:38:45 2001
@@ -261,6 +261,8 @@
 int get_host()
 {
   char *def = NULL;
+  static const char *valid_hostname_chars =
+	  "abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789-";
 
   for (;;) {
     if(host)
@@ -284,19 +286,20 @@
       return 255;
     }
 
-    if(strchr(host, ' ')) {
-      problemBox(_("The host name must be one word."), _("Problem"));
+    /* Check the hostname for RFC 608 compliance.  */
+    if (!isalpha(host[0])) {
+      problemBox(_("The host name must begin with a character from the alphabet."),
+		 _("Problem"));
+    } else if (host[strlen(host) - 1] == '-') {
+      problemBox(_("The host name must not end in a minus sign."), _("Problem"));
+    } else if (host[strspn(host, valid_hostname_chars)] != '\0') {
+      problemBox(_("The host name may only contain alphanumeric characters and the minus sign."),
+		 _("Problem"));
+    } else if (strlen(host) > 48) {
+      problemBox(_("The host name must contain 48 characters or less."),
+		 _("Problem"));
     } else {
-      if (strchr(host, '.')) {
-        problemBox(_("The host name must not contain dots."), _("Problem"));
-      } else {
-        if (isdigit(*host)) {
-          problemBox(_("The host name contains leading numerical character(s).\nNote that the RFC does not allow this."),
-                     _("Problem"));
-        } else {
-          break;
-        }
-      }
+      break;
     }
   }
   return 0;



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#105364; Package boot-floppies. Full text and rfc822 format available.

Acknowledgement sent to Ethan Benson <erbenson@alaska.net>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #15 received at 105364@bugs.debian.org (full text, mbox):

From: Ethan Benson <erbenson@alaska.net>
To: Matt Kraai <kraai@debian.org>, 105364@bugs.debian.org
Subject: Re: Bug#105364: installer allows user to insert underscores in the hostname
Date: Sun, 15 Jul 2001 15:32:00 -0800
[Message part 1 (text/plain, inline)]
On Sun, Jul 15, 2001 at 01:44:46PM -0700, Matt Kraai wrote:
> 
> The following patch checks the input for RFC 608 compliance.  OK
> to apply?

looks good.  there should probably be a similar patch made for
hostname too, IMO anyway.  

-- 
Ethan Benson
http://www.alaska.net/~erbenson/
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#105364; Package boot-floppies. Full text and rfc822 format available.

Acknowledgement sent to Tollef Fog Heen <tollef@add.no>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #20 received at 105364@bugs.debian.org (full text, mbox):

From: Tollef Fog Heen <tollef@add.no>
To: 105364@bugs.debian.org
Subject: Re: Bug#105364: installer allows user to insert underscores in the hostname
Date: 16 Jul 2001 10:40:38 +0200
* Matt Kraai 

| On Sun, Jul 15, 2001 at 07:20:59PM +0200, Eduard Bloch wrote:
| > I was helping a new user to configure his woody installation, and was
| > surprised by some "funny" messages from misc. config script. First, I
| > could find the reason, then I realized that he used an _ underscore in
| > the hostname. Normally this must not be used, but the installer allowed
| > him to do so and "hostname" does not complain about "broken" strings, so
| > the this may be reproduced by newbies, sooner or later. We should
| > install something to check the entries, IMHO.
| 
| The following patch checks the input for RFC 608 compliance.  OK
| to apply?

[snip]

| +  static const char *valid_hostname_chars =
| +	  "abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789-";

What about non-ascii hostnames?  I know they are not allowed according
to RFC608, but there are WIPs for it, which we might want to support
it nevertheless.

-- 

Tollef Fog Heen
You Can't Win



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#105364; Package boot-floppies. Full text and rfc822 format available.

Acknowledgement sent to Herbert Xu <herbert@gondor.apana.org.au>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #25 received at 105364@bugs.debian.org (full text, mbox):

From: Herbert Xu <herbert@gondor.apana.org.au>
To: 105364@bugs.debian.org
Subject: Re: Bug#105364: installer allows user to insert underscores in the hostname
Date: Mon, 16 Jul 2001 19:44:12 +1000
Tollef Fog Heen <tollef@add.no> wrote:
> * Matt Kraai 

> | The following patch checks the input for RFC 608 compliance.  OK
> | to apply?

> [snip]

> | +  static const char *valid_hostname_chars =
> | +       "abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789-";

> What about non-ascii?hostnames?  I know they are not allowed according
> to RFC608, but there are WIPs for it, which we might want to support
> it nevertheless.

Changing the problem box into a yes/no question is probably better.
-- 
Debian GNU/Linux 2.2 is out! ( http://www.debian.org/ )
Email:  Herbert Xu ~{PmV>HI~} <herbert@gondor.apana.org.au>
Home Page: http://gondor.apana.org.au/~herbert/
PGP Key: http://gondor.apana.org.au/~herbert/pubkey.txt



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#105364; Package boot-floppies. Full text and rfc822 format available.

Acknowledgement sent to Matt Kraai <kraai@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #30 received at 105364@bugs.debian.org (full text, mbox):

From: Matt Kraai <kraai@debian.org>
To: 105364@bugs.debian.org
Subject: host name validation
Date: Mon, 16 Jul 2001 08:41:11 -0600
Howdy,

Can anyone point me to the latest host name specification?  If so,
I'll be happy to update the code to match.

Matt



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#105364; Package boot-floppies. Full text and rfc822 format available.

Acknowledgement sent to Matt Zimmerman <mdz@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #35 received at 105364@bugs.debian.org (full text, mbox):

From: Matt Zimmerman <mdz@debian.org>
To: Matt Kraai <kraai@debian.org>, 105364@bugs.debian.org
Subject: Re: Bug#105364: host name validation
Date: Tue, 17 Jul 2001 01:45:14 -0400
On Mon, Jul 16, 2001 at 08:41:11AM -0600, Matt Kraai wrote:

> Can anyone point me to the latest host name specification?  If so, I'll be
> happy to update the code to match.

RFC1035 describes the recommended format for DNS names, which should be a
reasonable specification to follow.

-- 
 - mdz




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#105364; Package boot-floppies. Full text and rfc822 format available.

Acknowledgement sent to Matt Kraai <kraai@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #40 received at 105364@bugs.debian.org (full text, mbox):

From: Matt Kraai <kraai@debian.org>
To: Matt Zimmerman <mdz@debian.org>, 105364@bugs.debian.org
Subject: Re: Bug#105364: host name validation
Date: Tue, 17 Jul 2001 08:06:12 -0600
On Tue, Jul 17, 2001 at 01:45:14AM -0400, Matt Zimmerman wrote:
> On Mon, Jul 16, 2001 at 08:41:11AM -0600, Matt Kraai wrote:
> 
> > Can anyone point me to the latest host name specification?  If so, I'll be
> > happy to update the code to match.
> 
> RFC1035 describes the recommended format for DNS names, which should be a
> reasonable specification to follow.

Thanks for the reference.  It looks like this description therein
is equivalent to the one in RFC 608, modulo the size limit
(RFC 1035 => 63, RFC 608 => 48).  Is there a more recent
specification (or WIP) which incorporates non-ASCII characters?

Matt



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#105364; Package boot-floppies. Full text and rfc822 format available.

Acknowledgement sent to Matt Kraai <kraai@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #45 received at 105364@bugs.debian.org (full text, mbox):

From: Matt Kraai <kraai@debian.org>
To: Tollef Fog Heen <tollef@add.no>
Cc: 105364@bugs.debian.org
Subject: Re: Bug#105364: installer allows user to insert underscores in the hostname
Date: Fri, 20 Jul 2001 14:44:26 -0600
Howdy,

You mentioned a WIP which would allow non-ASCII characters in the
hostname.  Can you please send me a pointer to this document so
that I can update the boot-floppies to comply with it?

Matt



Reply sent to Adam Di Carlo <aph@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Eduard Bloch <blade@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #50 received at 105364-close@bugs.debian.org (full text, mbox):

From: Adam Di Carlo <aph@debian.org>
To: 105364-close@bugs.debian.org
Subject: Bug#105364: fixed in boot-floppies 3.0.8
Date: Sun, 22 Jul 2001 14:48:57 -0400
We believe that the bug you reported is fixed in the latest version of
boot-floppies, which has been installed in the Debian FTP archive:

boot-floppies_3.0.8.dsc
  to pool/main/b/boot-floppies/boot-floppies_3.0.8.dsc
boot-floppies_3.0.8.tar.gz
  to pool/main/b/boot-floppies/boot-floppies_3.0.8.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 105364@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Adam Di Carlo <aph@debian.org> (supplier of updated boot-floppies package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----

Format: 1.7
Date: Fri, 20 Jul 2001 00:21:10 -0400
Source: boot-floppies
Binary: boot-floppies install-doc
Architecture: source
Version: 3.0.8
Distribution: unstable
Urgency: low
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Changed-By: Adam Di Carlo <aph@debian.org>
Description: 
 boot-floppies - Scripts to create the Debian installation system
 install-doc - Documentation for Debian installation and release notes
Closes: 98305 104114 104117 104117 105364
Changes: 
 boot-floppies (3.0.8) unstable; urgency=low
 .
   * Matt Kraai
     - check that DHCP really did successfully configure the interface
     - report floppy merge problems so that they aren't ignored, and
       handle short writes gracefully (reported by A. Robicek)
     - restore escape characters to f5.txt (closes: #104114).
     - in the `Report a Problem' step, log cp error messages instead of
       dirtying the console, and fix a segmentation fault (closes: #104117)
     - check host name for RFC 1035 compliance (closes: #105364).
   * Adam Di Carlo
     - debian/control: new Uploaders tag in source package for potential
       source uploaders (requires new dpkg-dev)
     - rootdisk: lazybox referred to nano rather than nano-tiny
       closes: #98305
   * Ethan Benson
     - Use e2fsprogs-bf instead of e2fsprogs
     - rootdisk.sh: don't rm -rf $E until after mklibs.sh is run
     - rootdisk.sh: run mklibs.sh with -L $E/lib:$E/usr/lib:/lib:/usr/lib
       this way we don't end up getting the binaries from the extract area
       and the non-pic libs from /lib and /usr/lib (instead of the extract area).
     - Add support for installing base via a pile o' floppies (not tested yet).
     - Set TMPDIR=/target/tmp in ybinwrapper, avoids failures since ramdisk
       root filesystem is small.
     - Add yaboot binary to $release/powermac so users don't have to go find one.
     - Change rootdisk permission fixup to not touch device file permissions,
       that way loop mounting a root.bin does not create a security hole.
     - Fix floppy_split to properly pad the last floppy with nulls.
     - Change `Install Operating System Kernel and Modules' to
       `Install Kernel and Driver Modules' so aj won't be confused.
     - Add patch from Colin Walters to support basedebs.tgz.
     - Ignore .resource and .finderinfo when building lists of valid directories
       (HFS cruft).
     - Make problem_report create a .fdisk-dump file for each disk, contents is
       the output of fdisk -l <disk>.
     - Update mac partition types/descriptions.
   * Henning Heinold
     - Alpha kernel is now 2.2.19
     - Alpha glibc is now 2.2.3
     - mipsel kernelversion is now 2.4.5
     - fixing some points of the alpha build
   * Christian T. Steigies
     - m68k: Penguin-19 replaces both -18 and -17
   * Richard Hirst
     - ia64 support.  Now invokes elilo to do boot partition setup.
     - Don't redisplay keyboard selection menu if user hits cancel on it.  Makes
       it easy to keep kernel keymap if a suitable alternative is not available.
     - hppa: tidy up better in release.sh:do_arch_hppa()
   * Phil Blundell
     - include SCSI support in RiscPC root disk
   * David Kimdon
     - Danish update to dbootstrap thanks to Claus Hindsgaul <claus_h@image.dk>
     - when writing a problem report nfs mount must be read/write
       (Closes: #104117)
Files: 
 700e0ddf65cee859dff51f470985e315 1231 devel extra boot-floppies_3.0.8.dsc
 f7beef30a868badcbf6f2d6b174877da 2894020 devel extra boot-floppies_3.0.8.tar.gz

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.0.6 (GNU/Linux)
Comment: For info see http://www.gnupg.org

iQCVAwUBO1e0y4/8QF79WmfNAQEOTQP9H3oE+D6BexQ6SHMt70Hx+nal6aniRBbD
+rKyomyvSbEtzfPNbnQC8si0De/ewXrTbdui1BHvpOWusiZPT2r8GgTkAKvuxJhD
nDpTEdyLG/6h9p+Vh/7/Khpq+UDhQGNjr3LD32L7rauiP+URBTSRHNJ9fNA7ak2e
X4Gk5JMWhg8=
=Pfiz
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#105364; Package boot-floppies. Full text and rfc822 format available.

Acknowledgement sent to Kjetil Torgrim Homme <kjetilho@help.linpro.no>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #55 received at 105364@bugs.debian.org (full text, mbox):

From: Kjetil Torgrim Homme <kjetilho@help.linpro.no>
To: Matt Kraai <kraai@debian.org>, 105364@bugs.debian.org
Cc: debian-boot@lists.debian.org
Subject: Re: Bug#105364: installer allows user to insert underscores in the hostname
Date: 23 Jul 2001 12:54:31 +0200
Matt Kraai <kraai@debian.org> writes:

> You mentioned a WIP which would allow non-ASCII characters in the
> hostname.  Can you please send me a pointer to this document so that
> I can update the boot-floppies to comply with it?

This is the website of the IETF WG:
  http://www.i-d-n.net/

This is a good summary of what they have set out to do:
  http://www.ietf.org/internet-drafts/draft-ietf-idn-requirements-08.txt

It's very early, yet.  But a few things are reasonably clear.  They'll
use Unicode, they just haven't decided on the encoding.  That is, all
characters which aren't US-ASCII will probably be added to the list of
allowed characters.  The limit of 63 octets per name component
probably won't change, but notice that the number of characters will
be less, depending on the encoding.

One thing: It would be good to disallow the use of ASCII Compatible
Encoding-prefixes.  They look like "xx--", where x is an arbitrary
letter.


Kjetil T.



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#105364; Package boot-floppies. Full text and rfc822 format available.

Acknowledgement sent to Matt Kraai <kraai@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #60 received at 105364@bugs.debian.org (full text, mbox):

From: Matt Kraai <kraai@debian.org>
To: Kjetil Torgrim Homme <kjetilho@help.linpro.no>, 105364@bugs.debian.org
Subject: Re: Bug#105364: installer allows user to insert underscores in the hostname
Date: Mon, 23 Jul 2001 11:27:35 -0600
On Mon, Jul 23, 2001 at 12:54:31PM +0200, Kjetil Torgrim Homme wrote:
> Matt Kraai <kraai@debian.org> writes:
> > You mentioned a WIP which would allow non-ASCII characters in the
> > hostname.  Can you please send me a pointer to this document so that
> > I can update the boot-floppies to comply with it?
> 
> This is the website of the IETF WG:
>   http://www.i-d-n.net/
> 
> This is a good summary of what they have set out to do:
>   http://www.ietf.org/internet-drafts/draft-ietf-idn-requirements-08.txt
> 
> It's very early, yet.  But a few things are reasonably clear.  They'll
> use Unicode, they just haven't decided on the encoding.  That is, all
> characters which aren't US-ASCII will probably be added to the list of
> allowed characters.

I don't think so.  According to [1], Appendix F, there are quite a
few prohibited non-ASCII code points.  There are also some
normalization rules.  I'm not sure if the normalizations should be
performed in dbootstrap or in some lower layer, however.

> The limit of 63 octets per name component
> probably won't change, but notice that the number of characters will
> be less, depending on the encoding.
> 
> One thing: It would be good to disallow the use of ASCII Compatible
> Encoding-prefixes.  They look like "xx--", where x is an arbitrary
> letter.

I've never seen these before, this being my first foray into
internationalization.  I'll keep this in mind, however.

Will the input be encoded in UTF-8?

Matt

1. http://www.ietf.org/internet-drafts/draft-ietf-idn-nameprep-04.txt



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#105364; Package boot-floppies. Full text and rfc822 format available.

Acknowledgement sent to Kjetil Torgrim Homme <kjetilho@linpro.no>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #65 received at 105364@bugs.debian.org (full text, mbox):

From: Kjetil Torgrim Homme <kjetilho@linpro.no>
To: debian-boot@lists.debian.org
Cc: 105364@bugs.debian.org
Subject: Re: Bug#105364: installer allows user to insert underscores in the hostname
Date: 24 Jul 2001 13:57:51 +0200
Matt Kraai <kraai@debian.org> writes:

> On Mon, Jul 23, 2001 at 12:54:31PM +0200, Kjetil Torgrim Homme wrote:
> > It's very early, yet.  But a few things are reasonably clear.  They'll
> > use Unicode, they just haven't decided on the encoding.  That is, all
> > characters which aren't US-ASCII will probably be added to the list of
> > allowed characters.
> 
> I don't think so.  According to [1], Appendix F, there are quite a
> few prohibited non-ASCII code points.
>
> 1. http://www.ietf.org/internet-drafts/draft-ietf-idn-nameprep-04.txt

You are right.  (btw, it's now replaced by -05)

> There are also some normalization rules.  I'm not sure if the
> normalizations should be performed in dbootstrap or in some lower
> layer, however.

Ugh.  Do we really want to go there?

> > The limit of 63 octets per name component probably won't change,
> > but notice that the number of characters will be less, depending
> > on the encoding.
> > 
> > One thing: It would be good to disallow the use of ASCII Compatible
> > Encoding-prefixes.  They look like "xx--", where x is an arbitrary
> > letter.
> 
> I've never seen these before, this being my first foray into
> internationalization.  I'll keep this in mind, however.
> 
> Will the input be encoded in UTF-8?

No, that will break too many protocols.  That's the reason for ASCII
Compatible Encoding, using only characters "a-z0-9/-".

Look at some of the examples (/^Exampl) in
  http://www.i-d-n.net/draft/draft-ietf-idn-amc-ace-w-00.txt
Notice that UTF8 is inefficient for Hangeul and other scripts, even if
it uses the full 8 bits instead of 5.

(Personally, I hope something like
 http://www.i-d-n.net/draft/draft-ietf-idn-udns-02.txt
 passes.  I'm not too optimistic, this reminds me of all the warts of
 MIME we probably never will be rid of.)


Kjetil T.



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#105364; Package boot-floppies. Full text and rfc822 format available.

Acknowledgement sent to Matt Kraai <kraai@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #70 received at 105364@bugs.debian.org (full text, mbox):

From: Matt Kraai <kraai@debian.org>
To: Kjetil Torgrim Homme <kjetilho@linpro.no>, 105364@bugs.debian.org
Subject: Re: Bug#105364: installer allows user to insert underscores in the hostname
Date: Tue, 24 Jul 2001 08:46:47 -0600
On Tue, Jul 24, 2001 at 01:57:51PM +0200, Kjetil Torgrim Homme wrote:
> Matt Kraai <kraai@debian.org> writes:
> > Will the input be encoded in UTF-8?
> 
> No, that will break too many protocols.  That's the reason for ASCII
> Compatible Encoding, using only characters "a-z0-9/-".
> 
> Look at some of the examples (/^Exampl) in
>   http://www.i-d-n.net/draft/draft-ietf-idn-amc-ace-w-00.txt
> Notice that UTF8 is inefficient for Hangeul and other scripts, even if
> it uses the full 8 bits instead of 5.
> 
> (Personally, I hope something like
>  http://www.i-d-n.net/draft/draft-ietf-idn-udns-02.txt
>  passes.  I'm not too optimistic, this reminds me of all the warts of
>  MIME we probably never will be rid of.)

In order to implement this, I really need to know the answers to
the following questions:

	* What encoding is used for the host name input by the user?

	* What host name validation should be performed by dbootstrap?

	* What encoding should be used for writing the host name?

The kernel treats the host name as any other character string, and
so doesn't appear to care about the encoding.  I haven't been able
to find the libc source which deals with internationalized host
names, so I don't know what format it expects things in.

Matt



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#105364; Package boot-floppies. Full text and rfc822 format available.

Acknowledgement sent to Kjetil Torgrim Homme <kjetilho@linpro.no>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #75 received at 105364@bugs.debian.org (full text, mbox):

From: Kjetil Torgrim Homme <kjetilho@linpro.no>
To: debian-boot@lists.debian.org
Cc: 105364@bugs.debian.org
Subject: Re: Bug#105364: installer allows user to insert underscores in the hostname
Date: 24 Jul 2001 17:43:30 +0200
Matt Kraai <kraai@debian.org> writes:

> In order to implement this, I really need to know the answers to
> the following questions:
> 
> 	* What encoding is used for the host name input by the user?
> 
> 	* What host name validation should be performed by dbootstrap?
> 
> 	* What encoding should be used for writing the host name?
> 
> The kernel treats the host name as any other character string, and
> so doesn't appear to care about the encoding.  I haven't been able
> to find the libc source which deals with internationalized host
> names, so I don't know what format it expects things in.

IMHO, we should only enforce what has been standardised.

 * Only allow components matching the simple grammar in RFC 1034.
   (section 3.5)
 * Each name component is max 63 octets.
 * Total hostname length is max 255 octets.
 * No component can start with <letter><letter><hyphen><hyphen>
   (not really in the standards, but pertinent anyway)

When the process moves out of the draft process, implement whatever
the RFC says.


Kjetil T.



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#105364; Package boot-floppies. Full text and rfc822 format available.

Acknowledgement sent to Matt Kraai <kraai@alumni.carnegiemellon.edu>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #80 received at 105364@bugs.debian.org (full text, mbox):

From: Matt Kraai <kraai@alumni.carnegiemellon.edu>
To: Kjetil Torgrim Homme <kjetilho@linpro.no>
Cc: 105364@bugs.debian.org
Subject: Re: Bug#105364: installer allows user to insert underscores in the hostname
Date: Tue, 24 Jul 2001 10:29:01 -0600
On Tue, Jul 24, 2001 at 05:43:30PM +0200, Kjetil Torgrim Homme wrote:
> Matt Kraai <kraai@debian.org> writes:
> 
> > In order to implement this, I really need to know the answers to
> > the following questions:
> > 
> > 	* What encoding is used for the host name input by the user?
> > 
> > 	* What host name validation should be performed by dbootstrap?
> > 
> > 	* What encoding should be used for writing the host name?
> > 
> > The kernel treats the host name as any other character string, and
> > so doesn't appear to care about the encoding.  I haven't been able
> > to find the libc source which deals with internationalized host
> > names, so I don't know what format it expects things in.
> 
> IMHO, we should only enforce what has been standardised.
> 
>  * Only allow components matching the simple grammar in RFC 1034.
>    (section 3.5)
>  * Each name component is max 63 octets.
>  * Total hostname length is max 255 octets.
>  * No component can start with <letter><letter><hyphen><hyphen>
>    (not really in the standards, but pertinent anyway)

I don't have a problem with only implementing existing standards.
At the moment, I believe that RFC 1034 compliance is enforced.
I've since discovered RFC 1123, which changes a few of the
requirements, so I'll make one more round of updates.

Given the uncertainty regarding internationalized host names, and
the fact that the boot-floppies are soon to be retired, I'm
punting on this feature.

Matt



Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 09:50:34 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.